! See copyright notice in the COPYRIGHT file.
!******************************************************************************!
!> In this module we collect routines  and type definitions related to 
!! statistics for the runtime of the code. 
!!
!!
module mus_statistics_module

  implicit none
  private

  public :: mus_stat_type

  !> runtime statistics 
  !! this includes memory consumption, amount of data to communciate, 
  !! runtimes etc.
  type mus_stat_type
    !> number of links to communicate
    !! Subset of nLinks_total
    integer :: nLinks_comm
    !> number of total links available which theoretically can be communciated
    integer :: nLinks_total
  end type mus_stat_type

end module mus_statistics_module
!******************************************************************************!
