----------------------- PLEASE READ THIS ---------------------------!!!

-- This input file is set up to run for regression check
-- Please make sure you DO NOT MODIFY AND PUSH it to the repository
                                                                          
--------------------------------------------------------------------!!!


-- Musubi configuration file. 
-- This is a LUA script.

-- Simulation name
simulation_name = 'simple_channel'
mesh = 'mesh/' -- Mesh information

-- Time step settigs
tmax           =  2000     -- total iteration number
time = {useIterations = true,
        min = 0, max = tmax, interval = tmax}

model = 'lbm'
rho0 = 1.
cs2 = 1./3.
if model == 'lbm' then
  p0 = rho0*cs2
else
  p0 = 0.
end 
fluid = { omega = 1.891, rho0 = rho0 }
identify = {
    kind = model}

interpolation_method = 'linear'                     

-- Initial condition 
initial_condition = { pressure  = p0, 
                      velocityX = 0.0,
                      velocityY = 0.0,
                      velocityZ = 0.0 }

-- Boundary conditions
boundary_condition = {  
{ label = 'west', 
  kind = 'inlet_ubb', 
  velocityX = { kind = 'combined',
                transient= {predefined='smooth', min_factor = 0.0, max_factor=0.08, from_time=0, to_time=tmax/2}, 
                spatial = {predefined='parabol', 
                          shape = { kind = 'canoND', object = {center  = {-8.0,0.0,0.0},
                                                               halfvec = { {0.0,1.0,0.0}, {0.0,0.0,1.0}} } 
                                  }
                         }         
                                    
	      },
   velocityY = 0.0, velocityZ = 0.0},
{ label = 'east',
  kind = 'outlet_expol',
  pressure = p0,}, 
{ label = 'north', 
   kind = 'wall' },
{ label = 'south', 
   kind = 'wall' },
{ label = 'top', 
   kind = 'wall' },
{ label = 'bottom', 
   kind = 'wall' }
 }

-- Tracking              
tracking = {
  label = 'probe_density', 
 variable = {'density'}, 
 shape = {kind = 'canoND', object = {origin ={0.0,0.,0.} } },
 time = {min = 0, max = tmax, interval = tmax/10},
  format = 'ascii', folder = 'tracking/'
 }
