# This is the MUSUBI testsuite collection for the regression check.
#
# The test cases are appended to the testcase list to run.
# They are sorted according to their category here.
# Add the test cases here
from regFunctions import *

# run_scripts
testcase.append( dict(solver='musubi', caseName='check_restart',
                 dir='./musubi/testsuite/verification/restart/',
                 interval='1', category='run_script',
                 input='run_test.sh'))

testcase.append( dict(solver='musubi', caseName='check_multilevel_dependencies',
                 dir='./musubi/testsuite/verification/multilevel_dependencies/',
                 interval='1',category='run_script',
                 input='run_test.sh', procs = [1,2,3]))

testcase.append( dict(solver='musubi', caseName='cube_refined',
                 dir='./musubi/testsuite/verification/cube_refined/',
                 interval='1',category='run_script',
                 input='run_test.sh'))

# performance testcases
testcase.append( dict(solver='musubi', caseName='lidcavity',
                 dir='./musubi/testsuite/performance/serial/lidcavity/',
                 position=['5'],
                 interval='1',category='performance',procs = 2,
                 input='musubi.lua',output='timing.res'))

testcase.append(dict(solver='musubi', caseName='simple_channel',
                dir='./musubi/testsuite/performance/serial/simple_channel/',
                position=['5'],
                interval='1',category='performance',
                input='musubi.lua',output='timing.res'))

# Validation testcases
testcase.append( dict(solver='musubi', caseName='lidcavity',
                 dir='./musubi/testsuite/validation/Lid-driven_Cavity/',
                 position=['4'], interval='1',category='validation',
                 input='musubi.lua',
                 output='2D_horizondalLine_vel_p00000_t150.001E+03.res'))

testcase.append( dict(solver='musubi', caseName='FlowAroundCylinder2D',
                 dir='./musubi/testsuite/validation/FlowAroundCylinder2D_Bench/',
                 position=['2'], interval='1',category='validation',
                 input='musubi.lua',output='2D_probe_pressure_p00000.res'))

testcase.append(dict(solver='musubi', caseName='mini-channel',
                dir='./musubi/testsuite/physics/mini_channel/',
                position=['2'], interval='1',category='validation',
                input='musubi.lua',output='mini-channel_probePress_p00000.res'))

testcase.append(dict(solver='musubi', caseName='simple_channel_vali',
                dir='./musubi/testsuite/physics/simple_channel/',
                position=['2'], interval='1',category='validation',
                input='musubi.lua',output='tracking/probe_density_p00000.res'))

testcase.append( dict(solver='musubi', caseName='channel_cylinder_multilevel',
                 dir='./musubi/testsuite/physics/channel_cylinder_multilevel/',
                 position=['2'], interval='1',category='validation', 
                 input='musubi.lua',output='tracking/channel_reference_p00000.res'))

testcase.append(dict(solver='musubi', caseName='taylor-green-vortex',
                dir='./musubi/testsuite/physics/taylor_green_vortex/',
                position=['3'], interval='1',category='validation',input='musubi.lua',
                output='tracking/global_TGV2D_l4_bgk_press_p00000.res'))

testcase.append(dict(solver='musubi', caseName='nrbc',
                dir='./musubi/testsuite/physics/nrbc/',
                position=['2'], interval='1',category='validation',input='musubi.lua',
                output='tracking/nrbc_probe_lbm_p00000.res'))

# q-value test case
testcase.append(dict(solver='musubi',caseName='wall_inclined',
                dir='./musubi/testsuite/validation/channel_inclined/',
                position=['2'],interval='1',category='validation',input='musubi.lua',
                output='tracking/channelD8_velErr8_p00000.res'))

# Tutorial test cases
testcase.append(dict(solver='musubi', caseName='tut_gausspulse',
                dir='./musubi/tutorial/testcases/gaussian_pulse/',
                position=['2'],interval='1',category='validation',
                input='musubi.lua',output='tracking/track_pressure_p00000.res'))

testcase.append(dict(solver='musubi', caseName='tut_channel',
                dir='./musubi/tutorial/testcases/channel/',
                position=['2'], interval='1',category='validation',
                input='musubi.lua',output='tracking/channel_probePressure_p00000.res'))
