outputname = 'FlowAroundCylinder'
outputpreview = true 
refine = 7
-- stl_files: for each stl file put a table into
-- this table of tables. Or just a string for
-- the filname, if the other two parameters should
-- get the default: boundary_type = 1, fileformat = 'binary'
-- refinementlevel is the level to which the stl shall be refined
-- it is mandatory
stl_files = {{filename = 'stl/Channel.stl', 
              bclabel = 'Channel', 
              format = 'binary',
              refinementlevel = refine },
             {filename = 'stl/Cylinder.stl',
              bclabel = 'Cylinder',
              format = 'binary' ,
              refinementlevel = refine },
             {filename = 'stl/Inlet.stl', 
              bclabel = 'inlet', 
              format = 'binary' ,
              refinementlevel = refine },
             {filename = 'stl/Outlet.stl', 
              bclabel = 'outlet', 
              format = 'binary' ,
              refinementlevel = refine },
}

-- boundingbox: two entries: origin and length in this
-- order, if no keys are used
boundingbox = {origin = {-126.0, -22.5, -22.5},
               length = 254.0}
-- refinebox: three entries: origin, length and refinementlevel
refinebox = {{origin = {-125.0, -22.0, -22.0},
            length = {250.0, 43.0, 43.0},
            refinementlevel = refine}
            }               
-- seed: position of seed 
seed = {120.0,
        0.0,
        0.0
       }
-- general refinement levels
-- minrefine: defines minimum refinement level of the entire domain
--
-- maxrefine: defines maximum refinement
-- gets overwritten from madatory STL levels
-- (deprecated - used only for spacer stuff right now)
-- will become default for stl refinement level once
-- it is not mandatory any more
minrefine = 1 
maxrefine = refine

