#from simParam import *
import math
from units import *

plot  = []
show_plot = False

height =  0.41
u_in_L = 0.05
u_in_phy = 1.5
nHeight = 400
dx = getdxFromnL(height,nHeight)
dt = getdt_acoustic(dx,u_in_L,u_in_phy)
pr_lp = getpress_p(dx,dt,1.0)

##velocity over time
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh5/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-2500,-1],col=[1,3],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='velocity at x=0.35',title='$u_y$ over time for l/h=5 and nHeight=150',
#           xlabel ='timesteps', ylabel='$u_y(m/s)$', ls = 'k', newplot = True))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh5/nH150/tracking/2D_probe_velocity_p00003.res'],
#           row=[-2500,-1],col=[1,3],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, ls = 'r', label='velocity at x=1.025',saveplot =True, ))
#
###pressure, velocity over space
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_line_p*500*.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=5',title='density over x with outlet extrapolation nHeight=150 for different l/h=2,3,5',
#           xlabel ='x', ylabel='$\\rho$ (lattice)', ls = 'k', newplot = True))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_line_p*500*.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=3', ls = 'r-'))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_line_p*500*.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=2', ls = 'b-.',saveplot=True
#           #,figname = 'densityOverX'
#           ))
#
############################
##acoustic scaling
############################
##deltaP
plot.append(dict(kind = 'deltaP',data=[
                                       'validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_probe_density_p00000.res',
                                       'validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_probe_density_p00000.res'],
          row=[-2000,-1],col=[1,2,3],
          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'k', label = 'l/h=5', title = 'Acoustic scaling:$\delta$P over time, outlet extrapolation nH=400 and l/h=2,3,5', 
          xlabel = 'time', ylabel='$\Delta$ P', newplot=True))

plot.append(dict(kind = 'deltaP',data=[
                                       'validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_probe_density_p00000.res',
                                       'validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_probe_density_p00000.res'],
          row=[-2000,-1],col=[1,2,3],
          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'r', label = 'l/h=3'))

plot.append(dict(kind = 'deltaP',data=[
                                       'validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_probe_density_p00001.res',
                                       'validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_probe_density_p00001.res'],
          row=[-2000,-1],col=[1,2,3],
          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'b', label = 'l/h=2'))

plot.append(dict(kind = 'drawline' , y = 2.46, 
          ls = 'b--', label = 'lower_bound, $\Delta P = 2.46$'))

plot.append(dict(kind = 'drawline',
           y = 2.5, label = 'upper_bound, $\Delta P = 2.5$', ls = 'b-.', 
           legend_loc = 1, saveplot = True, figname = 'deltaP_expol_nH400_acousticScaling.png'))



##density
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=5',title='Acoustic scaling:density over x, outlet extrapolation nH=400 and l/h=2,3,5',
#           xlabel ='x', ylabel='$u_y (m/s)$', ls = 'k',newplot=True))
#
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=3', ls = 'r-'))
#
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=2', ls = 'b-.',saveplot=True, figname = 'density_expol_nH400_acousticScaling.png'))
#
#
###x-velocity
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,5],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=5',title='Acoustic scaling:$u_x$ over x, outlet extrapolation nH=400 and l/h=2,3,5',
#           xlabel ='x', ylabel='$u_y (m/s)$', ls = 'k',newplot=True))
#
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,5],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=3', ls = 'r-'))
#
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,5],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=2', ls = 'b-.',saveplot=True, figname = 'velocityX_expol_nH400_acousticScaling.png'))
#
#
###y-velocity
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,6],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=5',title='Acoustic scaling:$u_y$ over x, outlet extrapolation nH=400 and l/h=2,3,5',
#           xlabel ='x', ylabel='$u_y (m/s)$', ls = 'k',newplot=True))
#
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,6],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=3', ls = 'r-'))
#
#plot.append(dict(kind = 'xy',data=['validation/Re100/acousticScaling/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_line_p*500*3.res'],
#           row=[1,-1],col=[1,6],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=2', ls = 'b-.',saveplot=True, figname = 'velocityY_expol_nH400_acousticScaling.png'))


##############################
##diffusive scaling
##############################
dt = getdt_diffusive(dx,1.9,1e-3)
pr_lp = getpress_p(dx,dt,1.0)
##deltaP
#plot.append(dict(kind = 'deltaP',data=[
#                                       'Re100/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_probe_density_p00001.res',
#                                       'Re100/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_probe_density_p00001.res'],
#          row=[-5000,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'k', label = 'l/h=5', title = 'Diffusive scaling:$\delta$P over time, outlet extrapolation nH=400 and l/h=2,3,5', 
#          xlabel = 'time', ylabel='$\Delta$ P', newplot=True))
#
#plot.append(dict(kind = 'deltaP',data=[
#                                       'Re100/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_probe_density_p00001.res',
#                                       'Re100/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_probe_density_p00001.res'],
#          row=[-5000,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'r', label = 'l/h=3'))
#
#plot.append(dict(kind = 'deltaP',data=[
#                                       'Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_probe_density_p00002.res',
#                                       'Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_probe_density_p00002.res'],
#          row=[-5000,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'b', label = 'l/h=2'))
#
#plot.append(dict(kind = 'drawline',data=[
#                                       'Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_probe_density_p00002.res'],
#          row=[-5000,-1],col=[1,2], y = 2.46, ls = 'b--', label = 'lower_bound, $\Delta P = 2.46$'))
#
#plot.append(dict(kind = 'drawline',data=[
#                                       'Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_probe_density_p00002.res'],
#          row=[-5000,-1],col=[1,2], y = 2.5, label = 'upper_bound, $\Delta P = 2.5$', ls = 'b-.', saveplot = True, figname = 'deltaP_expol_nH400_diffusiveScaling.png'))
#



##density
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=5',title='Diffusive scaling:density over x, outlet extrapolation nH=400 and l/h=2,3,5',
#           xlabel ='x', ylabel='$u_y (m/s)$', ls = 'k',newplot=True))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=3', ls = 'r-'))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,4],
#           convertPhy = True, xfac = 1.0, yfac = 1.0, label='l/h=2', ls = 'b-.',saveplot=True, figname='density_expol_nH400_diffusiveScaling.png'))

###x-velocity
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,5],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=5',title='Diffusive scaling:$u_x$ over x, outlet extrapolation nH=400 and l/h=2,3,5',
#           xlabel ='x', ylabel='$u_y (m/s)$', ls = 'k',newplot=True))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,5],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=3', ls = 'r-'))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,5],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=2', ls = 'b-.',saveplot=True, figname='velocityX_expol_nH400_diffusiveScaling.png'))
#
###y-velocity
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh5/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,6],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=5',title='Diffusive scaling:$u_y$ over x, outlet extrapolation nH=400 and l/h=2,3,5',
#           xlabel ='x', ylabel='$u_y (m/s)$', ls = 'k',newplot=True))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh3/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,6],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=3', ls = 'r-'))
#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh2/nH400/tracking/2D_line_p*1.*6.res'],
#           row=[1,-1],col=[1,6],
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, label='l/h=2', ls = 'b-.',saveplot=True, figname='velocityY_expol_nH400_diffusiveScaling.png'))
#

##deltaP extrapolation for different resolution
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol/lh5/nH50/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol/lh5/nH50/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'k', label = 'nHeight = 50', title = '$\Delta$ P different nHeight with extrapolation outlet and l/h=5', 
#          xlabel = 'time', ylabel='$\Delta$ P'))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'r', label = 'nHeight = 100', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol/lh5/nH150/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol/lh5/nH150/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'b', label = 'nHeight = 150', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol/lh5/nH200/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol/lh5/nH200/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'y', label = 'nHeight = 200', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol/lh5/nH300/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol/lh5/nH300/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'm', label = 'nHeight = 300', newplot = False))
#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol/lh5/nH200/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.46, ls = 'b--', label = 'lower_bound, $\Delta P = 2.46$', newplot = False ))
#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol/lh5/nH200/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.5, label = 'upper_bound, $\Delta P = 2.5$', ls = 'b-.', newplot=False ))
#
#
##deltaP for l/h=5 and nHeight=50, 200 for differnt outlet
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol_old/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol_old/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'k', label = 'extrapolation, nHeight = 100', title = '$\Delta$ P for l/h=5 and different nHeight and outlet BC', 
#          xlabel = 'time', ylabel='$\Delta$ P'))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_dnt/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_dnt/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2,3],
#           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'r', label = 'do-nothing', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_pab/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_pab/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2,3],
#           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'g', label = 'pab', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_eq/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_eq/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2,3],
#           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'y', label = 'eq', newplot = False))
#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol_old/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.46, ls = 'b--', label = 'lower_bound, $\Delta P = 2.46$', newplot = False ))
#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol_old/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.5, label = 'upper_bound, $\Delta P = 2.5$', ls = 'b-.', newplot=False ))

#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol/lh3/nH150/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.46, ls = 'b--', label = 'lower_bound', newplot = False ))
#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol/lh5/nH150/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.5, label = 'upper_bound', ls = 'b--', newplot=False ))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'k', label = 'expolation', title = '$\Delta$ P for different outflow boundary condition for l/h=5 and nHeight = 100', 
#          xlabel = 'time', ylabel='$\Delta$ P'))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_dnt/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_dnt/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2,3],
#           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'r', label = 'do-nothing', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_pab/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_pab/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2,3],
#           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'g', label = 'pab', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_eq/lh5/nH100/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_eq/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2,3],
#           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'y', label = 'eq', newplot = False))
#
#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol/lh3/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.46, ls = 'b--', label = 'lower_bound', newplot = False ))
#
#plot.append(dict(kind = 'drawline',data=['Re100/inlet_ubb_outlet_expol/lh5/nH100/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2], y = 2.5, label = 'upper_bound', ls = 'b--', newplot=False ))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_expol/lh5/nH50/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_expol/lh5/nH50/tracking/2D_probe_density_p00000.res'],
#          row=[-500,-1],col=[1,2,3],
#          convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'k', label = 'expolation', title = '$\Delta$ P for different outflow boundary condition for l/h=5 and nHeight = 50', 
#          xlabel = 'time', ylabel='$\Delta$ P'))
#
##plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_dnt/lh5/nH50/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_dnt/lh5/nH50/tracking/2D_probe_density_p00000.res'],
##           row=[-500,-1],col=[1,2,3],
##           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'r', label = 'do-nothing', newplot = False))
#
##plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_pab/lh5/nH50/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_pab/lh5/nH50/tracking/2D_probe_density_p00000.res'],
##           row=[-500,-1],col=[1,2,3],
##           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'g', label = 'pab', newplot = False))
#
#plot.append(dict(kind = 'deltaP',data=['Re100/inlet_ubb_outlet_eq/lh5/nH50/tracking/2D_probe_density_p00000.res','Re100/inlet_ubb_outlet_eq/lh5/nH50/tracking/2D_probe_density_p00000.res'],
#           row=[-500,-1],col=[1,2,3],
#           convertPhy = True, xfac = 1., yfac = pr_lp, ls = 'y', label = 'eq', newplot = False))
#
#


#
#plot.append(dict(kind = 'xy',data=['Re100/inlet_ubb_outlet_expol/lh5/nH50/tracking/2D_probe_velocity_p00001.res'],
#           row=[-256,-1],col=[1,3],
#           convertPhy = True, xfac = dt*3, yfac = dx/dt))
#
# FFT
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh5/nH50/tracking/2D_probe_velocity_p00001.res'],
#           row=[-1024,-1],col=[1,3],
#           convertPhy = True, xfac = dt*3, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh5/nH50/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*3, yfac = dx/dt))
#
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh5/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_dnt/lh5/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_pab/lh5/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh5/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh5/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_dnt/lh5/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_pab/lh5/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh5/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))

#lh3
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh3/nH50/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*3, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh3/nH50/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*3, yfac = dx/dt))
#
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh3/nH100/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_dnt/lh3/nH100/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_pab/lh3/nH100/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh3/nH100/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh3/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_dnt/lh3/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_pab/lh3/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh3/nH150/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
### lh2
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh2/nH50/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*3, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh2/nH50/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*3, yfac = dx/dt))
#
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh2/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_dnt/lh2/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_pab/lh2/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh2/nH100/tracking/2D_probe_velocity_p00001.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt*2, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_expol/lh2/nH150/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_dnt/lh2/nH150/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_pab/lh2/nH150/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))
#
#plot.append(dict(kind = 'FFT',data=['Re100/inlet_ubb_outlet_eq/lh2/nH150/tracking/2D_probe_velocity_p00002.res'],
#           row=[-512,-1],col=[1,3],
#           convertPhy = True, xfac = dt, yfac = dx/dt))


## xy plot
#plot.append(dict(kind = 'xy',data=['inlet_ubb_outlet_expol/lh5/level9/tracking/2D_line_p00000_t00000050.000E+03.res',
#                                   'inlet_ubb_outlet_expol/lh3/level9/tracking/2D_line_p00000_t00000050.000E+03.res'],
#           row=[1,-1],col=[1,6],
#           convertPhy = True, xfac = 1.0, yfac = u_lp))
