#!/bin/bash
# Evaluate the current test case

echo ---------------------------------------
echo Evaluating the Plain Channel Test case.
echo Author: Jiaixng Qi
echo Have fun!
echo ---------------------------------------

# check necessary environment variables
if [ -z "$level" ]; then
  echo "Please input mesh refine level ( from 6 to 10 ):"
  read level_input
  export level=$level_input
fi
if [ -z "$Re" ]; then
  echo "Please input Reynolds number:"
  read Re_input
  export Re=$Re_input
fi
if [ -z "$email" ]; then
  echo "Please input your email address:"
  read email_input
  export email=$email_input
fi
if [ -z "$musubi" ]; then
  echo "Please input your musubi exe path:"
  read musubi_input
  export musubi=$musubi_input
fi
if [ -z "$seeder" ]; then
  echo "Please input your seeder exe path:"
  read seeder_input
  export seeder=$seeder_input
fi

# create folders and delete old results files
echo "Create directory mesh and tracking"
mdkir mesh
mkdir tracking
mkdir pictures
rm tracking/*.lua
rm tracking/*.res
rm mesh/*
rm pictures/*
rm runSeeder.log.txt
rm runMUSUBI.log.txt

$seeder | tee runSeeder.log.txt
mpirun -n 2 $musubi | tee runMUSUBI.log.txt
lua param.lua >> runMUSUBI.log.txt

cat tracking/*vel_spatial_p* >> tracking/vel_spatial.res
cat tracking/*wss_spatial_p* >> tracking/wss_spatial.res
cat tracking/*strainRate_spatial_p* >> tracking/strainRate_spatial.res
cat tracking/*pressureDrop*res >> tracking/pressureDrop.res
gnuplot plot_spatial.gpl
python2.7 send_email.py
echo -----Testcase Plain Channel finished!------

