-- get input arguments for 
-- refinement level (5, 6, 7)
ref_level = os.getenv("LEVEL")
-- and diffusion coefficient (0.0007, 0.00005)
D = os.getenv("DIFFCOEFF")
track_dir=os.getenv("BASENAME")

-- length of the bounding cube in physical units (1m)
L_phy = 1.

-- real simulated time (in s)
--t_phy = 500.
t_phy = 50000.

-- diffusion coefficient (1.76 * 10^(-5) m^2/s)
D_phy = 1.76 * 10^(-5)

-- calculate the dx in m
dx = L_phy / (2^ref_level)

-- calculate the dt in s
dt = D / D_phy * dx^2

-- number of iterations
nIter = math.ceil(t_phy / dt)

-- check intervalls
checkInter = math.ceil(1000./t_phy * nIter)
error_check_inter = math.ceil(100./t_phy * nIter)

-- x-fluid velocity in lattice units
u = 0.05

-- x-fluid velocity in m/s
u_phy = u * dx/dt
