! See copyright notice in the COPYRIGHT file.
!******************************************************************************!
!> Some auxilary routines, providing
!! frequently needed common tasks.
!!
module tem_solveHead_module

  ! include treelm modules
  use env_module, only: LabelLen, PathLen

  implicit none

  private

  public :: tem_solveHead_type
  public :: tem_solverTag

  !> \todo: Add description
  !!
  type tem_solveHead_type
    character(len=PathLen) :: simName     !< Name of current simulation
    character(len=PathLen)  :: meshFolder !< Mesh folder
    character(len=PathLen)  :: configFile !< main lua configfile
    character(len=LabelLen) :: solver     !< solver
    character(len=LabelLen) :: version    !< version of the solver
  end type tem_solveHead_type

  contains

!******************************************************************************!
  !> Function to return a solver tag (combination of solver name and version)
  !!
  function tem_solverTag( solver ) result( tag )
    !---------------------------------------------------------------------------
    !> solver information
    type(tem_solveHead_type), intent(in) :: solver
    !---------------------------------------------------------------------------
    ! defining local variables
    character(len=LabelLen) :: tag  ! solver
    !---------------------------------------------------------------------------

    tag = trim(solver%solver)//'_'//trim(solver%version)
  end function tem_solverTag
!******************************************************************************!


end module tem_solveHead_module
!******************************************************************************!
